<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelFutureRatesResponse StructType
 * @subpackage Structs
 */
class HotelFutureRatesResponse extends AbstractStructBase
{
    /**
     * The FutureRatesRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AvailResponseRS
     */
    public $FutureRatesRS;
    /**
     * Constructor method for HotelFutureRatesResponse
     * @uses HotelFutureRatesResponse::setFutureRatesRS()
     * @param \StructType\JP_AvailResponseRS $futureRatesRS
     */
    public function __construct(\StructType\JP_AvailResponseRS $futureRatesRS = null)
    {
        $this
            ->setFutureRatesRS($futureRatesRS);
    }
    /**
     * Get FutureRatesRS value
     * @return \StructType\JP_AvailResponseRS|null
     */
    public function getFutureRatesRS()
    {
        return $this->FutureRatesRS;
    }
    /**
     * Set FutureRatesRS value
     * @param \StructType\JP_AvailResponseRS $futureRatesRS
     * @return \StructType\HotelFutureRatesResponse
     */
    public function setFutureRatesRS(\StructType\JP_AvailResponseRS $futureRatesRS = null)
    {
        $this->FutureRatesRS = $futureRatesRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelFutureRatesResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
